View Issue Details

IDProjectCategoryView StatusLast Update
0002800SOGoWeb Calendarpublic2016-08-12 14:32
ReporterMathias Roland Assigned Tofrancis  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.4 
Fixed in Version2.3.14 
Summary0002800: STATUS:CANCELLED in web calendar not honored
Description

Changing the status of an event to canceled in Thunderbird is not honored in the web calendar. The event is shown as accepted.

Steps To Reproduce

Change an event to canceled in Thunderbird, synchronize, have a look in the web calendar.

TagsNo tags attached.

Activities

ludovic

ludovic

2014-07-02 10:00

administrator   ~0007273

How do you change the event's status to "CANCELED" in Thunderbird?

This should be a PART-STAT change to DECLINED. "STATUS" is useless for invitations.

Mathias Roland

Mathias Roland

2014-07-03 02:13

reporter   ~0007274

This has nothing to do with invitations.

You can change the status of an event to "canceled" in thunderbird when you edit an event. Then you find the option under "Options" -> "Status" -> "Canceled". Thunderbird shows these events with stroken event name.

The VEVENT attribute STATUS is added or changed to the value of CANCELED.

See: http://tools.ietf.org/html/rfc5545#section-3.8.1.11

ludovic

ludovic

2014-07-04 13:26

administrator   ~0007284

Refiled it as a "feature request". That is not a "major" issue.

The Status:Cancelled is pretty stupid by nature. If you want to "cancel" something, just delete the event from your calendar.

I'm keeping the bug open so eventually we can "strike through" the event like Apple iCal and Thunderbird do.

Mathias Roland

Mathias Roland

2014-07-07 07:05

reporter   ~0007290

When you have not right delete an event, but you have to cancel an event, for example in the calendar of your boss, what else can you do?

ludovic

ludovic

2014-07-07 07:16

administrator   ~0007291

The boss needs to give the "delete" permission to the assistant, just like the "modify" access right would be required for "STATUS: CANCELLED".

Mathias Roland

Mathias Roland

2014-07-08 05:40

reporter   ~0007294

The delete permission was intentionally not set.

quenenni

quenenni

2014-07-16 12:27

reporter   ~0007330

Hello,

I have the same problem.
After reading the comments, I must say that I agree with Mathias.

Can't Sogo web calendar strike out events with "STATUS:CANCELLED".
It has the info, it's just (hopefully) a visual style to apply.

Related Changesets

sogo: v2 ac6b60c4

2016-08-12 14:31:28

francis

Details Diff
(js,css) Style cancelled events in Calendar module

Fixes 0002800
Affected Issues
0002800
mod - NEWS Diff File
mod - UI/WebServerResources/SchedulerUI.css Diff File
mod - UI/WebServerResources/SchedulerUI.js Diff File

Issue History

Date Modified Username Field Change
2014-06-04 10:58 Mathias Roland New Issue
2014-07-02 10:00 ludovic Note Added: 0007273
2014-07-03 02:13 Mathias Roland Note Added: 0007274
2014-07-04 13:26 ludovic Note Added: 0007284
2014-07-04 13:26 ludovic Severity major => feature
2014-07-07 07:05 Mathias Roland Note Added: 0007290
2014-07-07 07:16 ludovic Note Added: 0007291
2014-07-08 05:40 Mathias Roland Note Added: 0007294
2014-07-16 12:27 quenenni Note Added: 0007330
2016-08-12 14:32 francis Changeset attached => sogo v2 ac6b60c4
2016-08-12 14:32 francis Assigned To => francis
2016-08-12 14:32 francis Resolution open => fixed
2016-08-12 14:32 francis Status new => resolved
2016-08-12 14:32 francis Fixed in Version => 2.3.14